# PriceFunction | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- PriceFunction

## Index

### Properties

- b1
- b10
- b11
- b12
- b13
- b14
- b15
- b16
- b2
- b3
- b4
- b5
- b6
- b7
- b8
- b9
- base
- coefficient
- noVowelDiscount
- nonAlphaDiscount

## Properties

### b1

b1: BN

- Defined in packages/bns/src/index.ts:47

### b10

b10: BN

- Defined in packages/bns/src/index.ts:56

### b11

b11: BN

- Defined in packages/bns/src/index.ts:57

### b12

b12: BN

- Defined in packages/bns/src/index.ts:58

### b13

b13: BN

- Defined in packages/bns/src/index.ts:59

### b14

b14: BN

- Defined in packages/bns/src/index.ts:60

### b15

b15: BN

- Defined in packages/bns/src/index.ts:61

### b16

b16: BN

- Defined in packages/bns/src/index.ts:62

### b2

b2: BN

- Defined in packages/bns/src/index.ts:48

### b3

b3: BN

- Defined in packages/bns/src/index.ts:49

### b4

b4: BN

- Defined in packages/bns/src/index.ts:50

### b5

b5: BN

- Defined in packages/bns/src/index.ts:51

### b6

b6: BN

- Defined in packages/bns/src/index.ts:52

### b7

b7: BN

- Defined in packages/bns/src/index.ts:53

### b8

b8: BN

- Defined in packages/bns/src/index.ts:54

### b9

b9: BN

- Defined in packages/bns/src/index.ts:55

### base

base: BN

- Defined in packages/bns/src/index.ts:45

### coefficient

coefficient: BN

- Defined in packages/bns/src/index.ts:46

### noVowelDiscount

noVowelDiscount: BN

- Defined in packages/bns/src/index.ts:64

### nonAlphaDiscount

nonAlphaDiscount: BN

- Defined in packages/bns/src/index.ts:63

Generated using TypeDoc